### Class

# AdwLeafletPage

deprecated: 1.4

#### Description [src]

    final class Adw.LeafletPage : GObject.Object
    {
      /* No available fields */
    }

An auxiliary class used by `AdwLeaflet`.

Deprecated since: 1.4

See the migration guide

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_leaflet_page_get_child

Gets the leaflet child to which `self` belongs.

deprecated: 1.4

###### adw_leaflet_page_get_name

Gets the name of `self`.

deprecated: 1.4

###### adw_leaflet_page_get_navigatable

Gets whether the child can be navigated to when folded.

deprecated: 1.4

###### adw_leaflet_page_set_name

Sets the name of the `self`.

deprecated: 1.4

###### adw_leaflet_page_set_navigatable

Sets whether `self` can be navigated to when folded.

deprecated: 1.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.LeafletPage:child

The leaflet child to which the page belongs.

deprecated: 1.4

###### Adw.LeafletPage:name

The name of the child page.

deprecated: 1.4

###### Adw.LeafletPage:navigatable

Whether the child can be navigated to when folded.

deprecated: 1.4

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwLeafletPageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.